Package com.google.android.exoplayer2.ext.flac

## Class FlacLibrary

- java.lang.Object
- - com.google.android.exoplayer2.ext.flac.FlacLibrary

-     public final class FlacLibrary
      extends Object

  Configures and queries the underlying native library.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `isAvailable()` | Returns whether the underlying library is available, loading it if necessary.
    `static void` | `setLibraries​(String... libraries)` | Override the names of the Flac native libraries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setLibraries

          public static void setLibraries​(String... libraries)

      Override the names of the Flac native libraries. If an application wishes to call this method, it must do so before calling any other method defined by this class, and before instantiating any `LibflacAudioRenderer` and `FlacExtractor` instances.
      Parameters:
        `libraries` - The names of the Flac native libraries.

    - #### isAvailable

          public static boolean isAvailable()

      Returns whether the underlying library is available, loading it if necessary.